[arch-commits] CVS update of extra/lib/xulrunner (3 files)

Jan de Groot jgc at archlinux.org
Sun Jun 10 19:41:12 UTC 2007


    Date: Sunday, June 10, 2007 @ 15:41:12
  Author: jgc
    Path: /home/cvs-extra/extra/lib/xulrunner

   Added: about-plugins.patch (1.1)
Modified: PKGBUILD (1.20 -> 1.21) mozconfig (1.4 -> 1.5)

upgpkg: xulrunner 1.8.1.4-2
Add about:plugins page, remove pyxpcom as epiphany crashes with python extensions with that


---------------------+
 PKGBUILD            |   33 +++++++++++++++------------------
 about-plugins.patch |   19 +++++++++++++++++++
 mozconfig           |    2 +-
 3 files changed, 35 insertions(+), 19 deletions(-)


Index: extra/lib/xulrunner/PKGBUILD
diff -u extra/lib/xulrunner/PKGBUILD:1.20 extra/lib/xulrunner/PKGBUILD:1.21
--- extra/lib/xulrunner/PKGBUILD:1.20	Thu May 31 10:19:48 2007
+++ extra/lib/xulrunner/PKGBUILD	Sun Jun 10 15:41:11 2007
@@ -1,24 +1,32 @@
-# $Id: PKGBUILD,v 1.20 2007/05/31 14:19:48 alexander Exp $
+# $Id: PKGBUILD,v 1.21 2007/06/10 19:41:11 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=xulrunner
 pkgver=1.8.1.4
-pkgrel=1
+pkgrel=2
 pkgdesc="Mozilla Runtime Environment"
 arch=(i686 x86_64)
 license=('MPL' 'GPL' 'LGPL')
 depends=('gtk2>=2.10.11' 'pango>=1.16.1' 'gcc' 'libidl2' 'mozilla-common' 'nss>=3.11.5' 'libxt')
-makedepends=('zip' 'pkgconfig' 'python>=2.5')
+makedepends=('zip' 'pkgconfig')
 provides=(gecko-sdk)
 replaces=(gecko-sdk)
 url="http://wiki.mozilla.org/XUL:Xul_Runner"
 source=(http://www.archlinux.org/~jgc/mozilla/${pkgname}-${pkgver}-source.tar.bz2
+	about-plugins.patch
         mozconfig
 	firefox-1.5-pango-cursor-position.patch
 	firefox-2.0-buildversion.patch
         moz310924.patch
 	moz325644.patch
-	nsIPermission.patch
-	xulrunner-1.8.1.4-amd64-python-input.patch)
+	nsIPermission.patch)
+md5sums=('f9422104ef62a02afb78becca010d9f1'
+         'b2b5ce5ddf6e84858b8acb1e71b4682f'
+         '4f8557bf941a31b42b9826cee3d41bbb'
+         '288fb7db871700ff5cf7286db6192b45'
+         '11b221ff41078d97c131e17361072e47'
+         '29194973e2a535b460c6b7f92c635eaf'
+         '2082c2a2d1cedd08e83179271aacf337'
+         'c24033e06bde73b3bd3d935ea87c22df')
 
 build() {
   export MAKEFLAGS="-j1"
@@ -28,8 +36,8 @@
   patch -Np0 -i ${startdir}/src/moz325644.patch || return 1
   patch -Np1 -i ${startdir}/src/firefox-1.5-pango-cursor-position.patch || return 1
   patch -Np0 -i ${startdir}/src/nsIPermission.patch || return 1
-  if [ ${CARCH} == 'x86_64' ]; then
-    patch -Np1 -i ${startdir}/src/xulrunner-1.8.1.4-amd64-python-input.patch || return 1
+  patch -Np1 -i ${startdir}/src/about-plugins.patch || return 1
+  if [ "${CARCH}" = "x86_64" ]; then
     echo "ac_cv_visibility_pragma=no" >> ${startdir}/src/mozconfig
   fi
 
@@ -49,15 +57,4 @@
   #Remove versioned directories from .pc files, fixes problems with updates
   sed -i -e "s/xulrunner-${pkgver}/xulrunner/" \
   	${startdir}/pkg/opt/mozilla/lib/pkgconfig/*.pc
-
-  mkdir -p ${startdir}/pkg/usr/lib
-  mv ${startdir}/pkg/opt/mozilla/lib/python2.5 ${startdir}/pkg/usr/lib/python2.5
 }
-md5sums=('f9422104ef62a02afb78becca010d9f1'
-         '2bafb127caff08ee79b7f10091f2cfcb'
-         '288fb7db871700ff5cf7286db6192b45'
-         '11b221ff41078d97c131e17361072e47'
-         '29194973e2a535b460c6b7f92c635eaf'
-         '2082c2a2d1cedd08e83179271aacf337'
-         'c24033e06bde73b3bd3d935ea87c22df'
-         '11b4bb9460429cc27b1c739875296b7a')
Index: extra/lib/xulrunner/about-plugins.patch
diff -u /dev/null extra/lib/xulrunner/about-plugins.patch:1.1
--- /dev/null	Sun Jun 10 15:41:11 2007
+++ extra/lib/xulrunner/about-plugins.patch	Sun Jun 10 15:41:11 2007
@@ -0,0 +1,19 @@
+=== toolkit/content/jar.mn
+==================================================================
+--- xulrunner/toolkit/content/jar.mn	(revision 209)
++++ xulrunner/toolkit/content/jar.mn	(local)
+@@ -78,4 +78,4 @@
+ +  content/global/selectDialog.xul            (selectDialog.xul)
+ *+ content/global/viewZoomOverlay.js          (viewZoomOverlay.js)
+ #endif
+-
++   content/global/plugins.html                (../../xpfe/global/resources/content/plugins.html)
+=== toolkit/themes/winstripe/global/jar.mn
+==================================================================
+--- xulrunner/toolkit/themes/winstripe/global/jar.mn	(revision 209)
++++ xulrunner/toolkit/themes/winstripe/global/jar.mn	(local)
+@@ -153,3 +153,4 @@
+         skin/classic/global/console/console-error-caret.gif         (console/console-error-caret.gif)
+         skin/classic/global/console/console-error-dash.gif          (console/console-error-dash.gif)
+ #endif
++        skin/classic/global/plugins.css                             (../../../../themes/classic/global/plugins.css)
Index: extra/lib/xulrunner/mozconfig
diff -u extra/lib/xulrunner/mozconfig:1.4 extra/lib/xulrunner/mozconfig:1.5
--- extra/lib/xulrunner/mozconfig:1.4	Fri Nov 24 18:27:22 2006
+++ extra/lib/xulrunner/mozconfig	Sun Jun 10 15:41:11 2007
@@ -30,4 +30,4 @@
 ac_add_options --enable-strip
 ac_add_options --disable-debug
 ac_add_options --disable-javaxpcom
-ac_add_options --enable-extensions=default,cookie,permissions,python/xpcom
+ac_add_options --enable-extensions=default,cookie,permissions




More information about the arch-commits mailing list